<h1 class="section-title">Pokémon catalogue</h1>
<ul class="pokemon-grid"
    infiniteScroll
    [infiniteScrollDistance]="2"
    [infiniteScrollThrottle]="150"
    (scrolled)="onScroll()">
    <li *ngFor="let pokemon of catalogue"
    class="pokemon-thumbnail"
    (click)="openPokemonDetails(pokemon.id)">
        <img class="pokemon-sprite" [src]="pokemon.image" alt=""
            onerror="this.onerror=null; this.src='/favicon.ico'">
        <span>{{ pokemonService.toTitleCase(pokemon.name.replace('-', ' ')) }}</span>
    </li>
</ul>
<button class="load-btn" (click)="onScroll()">More...</button>